//
//  itWatch.h
//  -- version 0.3 --
//
//  Created by Pigmon on Thu Oct 26 2000.
//  Last Updated by Pigmon on Thu Apr 07 2001.
//  Copyright (c) 2000,2001 Pigmon. All rights reserved.
//                     mailto:pigmon@mac.com
//
//  配付条件：　以下の項目に従う場合、かつその場合、本ソースコードを自由に複製・改変することができます。
//                ・　改変したソースコードを二次配付する場合、その旨を必ず明記して下さい。
//                  (できればバージョン番号やアプリケーション名で区別できるようにして下さい）

#import <Cocoa/Cocoa.h>
#import "ClockController.h"

@interface itWatch : NSObject
{
    id		source,
                backgroundImage,
                mTimer;	//タイマーオブジェクト
    id		mITTime;
    IBOutlet id	mPrefPanel;
    id		mPreferences;
    int		oldIT;
    char	oldMinute;
    ClockController*	clockController;
}

- (void) awakeFromNib;
- (void) ApplicationDidFinishLaunching:(id)notification;
- (void) ApplicationWillTerminate:(id)notification;
- (void) drawBackgroundImage:(NSCustomImageRep *)imageRep;
- (void) drawSource:(NSCustomImageRep *)imageRep;
- (void) update;
- (void) updateTimer:(id) aTimer;
- (void) dealloc;
- (IBAction) copyIT:(id) sender;
- (void)setDefaultPrefernces;
- (IBAction) showHelp:(id) sender;
@end
