//
//  ClockView.m
//  -- version 0.45 --
//
//  Created by Pigmon on Thu Apr 11 2001.
//  Last Updated by Pigmon on Thu Sep 03 2001.
//  Copyright (c) 2000,2001 Pigmon. All rights reserved.
//                     mailto:pigmon@mac.com
//
//  ztF@ȉ̍ڂɏ]ꍇA̏ꍇA{\[XR[hRɕEς邱Ƃł܂B
//                E@ς\[XR[h񎟔ztꍇA̎|KLĉB
//                  (ł΃o[WԍAvP[Vŋʂł悤ɂĉj

#import "ClockView.h"
#import "constants.h"

@implementation ClockView
//////////////////////////////////////////////////////////////////////////////////
- (void) awakeFromNib
//
// 
//////////////////////////////////////////////////////////////////////////////////
{
    mPreferences = [ NSUserDefaults standardUserDefaults ];
}

//////////////////////////////////////////////////////////////////////////////////
- (void)setBackgroundImage:(NSImage*)aImage
//
// wiImageIuWFNgZbg
//////////////////////////////////////////////////////////////////////////////////
{
    backgroundImage = [aImage retain];
}

//////////////////////////////////////////////////////////////////////////////////
- (void)setITObject:aITTime
//
// Internet TimeIuWFNgZbg
//////////////////////////////////////////////////////////////////////////////////
{
    mITTime = [aITTime retain];
}

//////////////////////////////////////////////////////////////////////////////////
- (void)drawRect:(NSRect)aRect
//
// View`悷iv̕`j
//////////////////////////////////////////////////////////////////////////////////
{
    id	aString;
    
    id aFont = [[NSFont fontWithName:@"Helvetica-BoldOblique" size:56] autorelease];
    id aAttributes = [[[NSMutableDictionary alloc] init] autorelease];
    id aParagraphStyle = [[[NSMutableParagraphStyle alloc] init] autorelease];

    NSAffineTransform*	aTransform;
    
    // wiNSImageIuWFNgΉ`悵Ȃ
    if ( backgroundImage == nil ) return;
    
    
    // \TCYɍ킹邽߂̕ό`
    aTransform = [NSAffineTransform transform];
    [aTransform scaleBy:[mPreferences floatForKey:@"standAloneSize"]];
    [aTransform set];
    
    // wiImage`
    [backgroundImage drawInRect:NSMakeRect(0,0,128,128) fromRect:NSMakeRect(0,0,128,128) operation:NSCompositeCopy fraction:[mPreferences floatForKey: @"standAloneOpacity"]];
    
    // C^[lbg^C킷R̐`
    aString = [mITTime itStringValue];

    [aAttributes setObject:aFont forKey:NSFontAttributeName];
    [aAttributes setObject:[NSColor 
                colorWithCalibratedRed: [mPreferences floatForKey: @"fontColor2Red"]
                green: [mPreferences floatForKey: @"fontColor2Green"]
                blue: [mPreferences floatForKey: @"fontColor2Blue"]
                alpha:[mPreferences floatForKey: @"fontColor2Alpha"] *
                      [mPreferences floatForKey: @"standAloneOpacity"]]
                forKey:NSForegroundColorAttributeName];
    [aParagraphStyle setAlignment:NSCenterTextAlignment];
    [aAttributes setObject:aParagraphStyle forKey:NSParagraphStyleAttributeName];
    [aString drawInRect:NSMakeRect( 0 , 0, 120, 87 ) withAttributes:aAttributes];

    // t\
    if ( YES == [mPreferences boolForKey: @"displayDate"] ) {
        if ( ITWATCH_PREF_DATELTZ == [mPreferences integerForKey: @"displayDateTZ"] ) {
            aString = [mITTime ltDescriptionWithCalendarFormat:@"%m.%d"];
        } else {
            aString = [mITTime itDescriptionWithCalendarFormat:@"%m.%d"];
        }
        aFont = [[NSFont fontWithName:@"Helvetica-Oblique" size:32] autorelease];
        [aAttributes setObject:aFont forKey:NSFontAttributeName];
        [aString drawInRect:NSMakeRect( 0 , 0, 120, 32 ) withAttributes:aAttributes];
    }

    // ʏ펞\
    if ( YES == [mPreferences boolForKey: @"displayClassicTime"] ) {
        aString = [mITTime ltDescriptionWithCalendarFormat:@"%H:%M"];
        aFont = [[NSFont fontWithName:@"Helvetica-Oblique" size:48] autorelease];
        [aAttributes setObject:aFont forKey:NSFontAttributeName];
        [aString drawInRect:NSMakeRect( 0 , 80, 128, 48 ) withAttributes:aAttributes];
    }

    // e͖
    [[self window] setHasShadow:NO];
}

@end
