//
//  PrefPanel.m
//  -- version 0.45 --
//
//  Created by Pigmon on Thu Apr 07 2001.
//  Last Updated by Pigmon on Sun Sep 23 2001.
//  Copyright (c) 2000,2001 Pigmon. All rights reserved.
//                     mailto:pigmon@mac.com
//
//  ztF@ȉ̍ڂɏ]ꍇA̏ꍇA{\[XR[hRɕEς邱Ƃł܂B
//                E@ς\[XR[h񎟔ztꍇA̎|KLĉB
//                  (ł΃o[WԍAvP[Vŋʂł悤ɂĉj

#import "PrefPanel.h"
#import "constants.h"

@implementation PrefPanel

//////////////////////////////////////////////////////////////////////////////////
- (void) awakeFromNib
//
//////////////////////////////////////////////////////////////////////////////////
{
    // ݒf[^x[Xǂݍ
    mPreferences = [ NSUserDefaults standardUserDefaults ];
}

//////////////////////////////////////////////////////////////////////////////////
- (IBAction)openPrefPanel:(id)sender
//
// ݒEBhEJAݒύX̂߂̏s
//////////////////////////////////////////////////////////////////////////////////
{
    // ݂̊ݒۑĂ(Cancel{^ꂽɎgp)
    if ( mPreferences_prv != nil ) [mPreferences_prv autorelease];
    mPreferences_prv = [[mPreferences dictionaryRepresentation] copy];
    
    // ݂̊ݒɂ킹āApl̃Rg[̏Ԃ𒲐
    [self revertPanel];
    
    // ݒEBhE߂񒆉̊񂹂ĕ\
    [prefWindow center];
    [prefWindow makeKeyAndOrderFront:nil];
    [NSApp activateIgnoringOtherApps:YES];
}

//////////////////////////////////////////////////////////////////////////////////
- (IBAction)closePrefWindow:(id)sender
//
// ݒEBhE
//////////////////////////////////////////////////////////////////////////////////
{
    // ۂɂ̓EBhEB
    [prefWindow orderOut:nil];
    
    // J[pl
    [[NSColorPanel sharedColorPanel] orderOut:nil];
}

//////////////////////////////////////////////////////////////////////////////////
- (IBAction)acceptChanges:(id)sender
//
// ύXۑāAݒEBhE
//////////////////////////////////////////////////////////////////////////////////
{
    // ݒ𓯊
    [mPreferences synchronize];
    
    // ۑĂߋ̊ݒNA
    [mPreferences_prv autorelease];
    mPreferences_prv = nil;

    // ݒEBhE
    [self closePrefWindow: sender];
}

//////////////////////////////////////////////////////////////////////////////////
- (IBAction)cancelChanges:(id)sender
//
// ύXāAݒEBhE
//////////////////////////////////////////////////////////////////////////////////
{
    NSArray* aPrefKeys = [NSArray arrayWithObjects: ITWATCH_PREFNAME_ARRAY ];
    NSEnumerator *enumerator = [aPrefKeys objectEnumerator];
    id anObject;
                
    // ۑݒoāAݒf[^x[Xɏ
    while ((anObject = [enumerator nextObject])) {
        [mPreferences setObject: [mPreferences_prv objectForKey:anObject] forKey: anObject];
    }
    
    //ݒ̓e𔽉f
    [self prefChanged];
    
    // ۑĂߋ̊ݒNA
    [mPreferences_prv autorelease];
    mPreferences_prv = nil;
    
    // ݒEBhE
    [self closePrefWindow: sender];
}

//////////////////////////////////////////////////////////////////////////////////
- (void)revertPanel
//
// ݒf[^x[X̓eƐݒpl̓e̐Ƃ
//////////////////////////////////////////////////////////////////////////////////
{
    NSColor*	aColor;
    
    // t\邩̃`FbN{bNXݒeɍ킹
    if ( YES == [mPreferences boolForKey: @"displayDate"] ) {
        [displayDateBtn setState: NSOnState ];
        [dateTZRadio setEnabled:YES];
    } else {
        [displayDateBtn setState: NSOffState ];
        [dateTZRadio setEnabled:NO];
    }

    // ʏ펞̕\邩̃`FbN{bNXݒeɍ킹
    if ( YES == [mPreferences boolForKey: @"displayClassicTime"] ) {
        [displayLocalTimeBtn setState: NSOnState ];
    } else {
        [displayLocalTimeBtn setState: NSOffState ];
    }
    
    // Internet̃Rs[X^CWI{^ݒeɍ킹
    switch ([mPreferences integerForKey: @"copyStyle"]) {
    case ITWATCH_PREF_COPYWITHATMARK:
        [copyStyleRadio selectCellAtRow: 0 column: 0];
        break;
    case ITWATCH_PREF_COPYWITHOUTATMARK:
        [copyStyleRadio selectCellAtRow: 1 column: 0];
        break;
    default:
        [copyStyleRadio selectCellAtRow: 0 column: 0];
        break;
    }

    // t̕\ԑуWI{^ݒeɍ킹
    switch ([mPreferences integerForKey: @"displayDateTZ"]) {
    case ITWATCH_PREF_DATELTZ:
        [dateTZRadio selectCellAtRow: 0 column: 0];
        break;
    case ITWATCH_PREF_DATEITTZ:
        [dateTZRadio selectCellAtRow: 1 column: 0];
        break;
    default:
        [dateTZRadio selectCellAtRow: 0 column: 0];
        break;
    }

    //@Dock\tHgFݒeɂ킹
    aColor = [NSColor 
                colorWithCalibratedRed: [mPreferences floatForKey: @"fontColor1Red"]
                green: [mPreferences floatForKey: @"fontColor1Green"]
                blue: [mPreferences floatForKey: @"fontColor1Blue"]
                alpha:[mPreferences floatForKey: @"fontColor1Alpha"]];
    [fontColor1 setColor:aColor];
    
    //@DockO\tHgFݒeɂ킹
    aColor = [NSColor 
                colorWithCalibratedRed: [mPreferences floatForKey: @"fontColor2Red"]
                green: [mPreferences floatForKey: @"fontColor2Green"]
                blue: [mPreferences floatForKey: @"fontColor2Blue"]
                alpha:[mPreferences floatForKey: @"fontColor2Alpha"]];
    [fontColor2 setColor:aColor];
    
    // t[eBOEBhE\邩ǂݒeɂ킹
    if ( YES == [mPreferences boolForKey: @"standAloneWindow"] ) {
        [standAloneWindowBtn setState: NSOnState ];
        [standAloneSizeSldr setEnabled:YES];
        [standAloneOpacitySldr setEnabled:YES];
        [standAloneFloatingBtn setEnabled:YES];
        [fontColor2 setEnabled:YES];
    } else {
        [standAloneWindowBtn setState: NSOffState ];
        [standAloneSizeSldr setEnabled:NO];
        [standAloneOpacitySldr setEnabled:NO];
        [standAloneFloatingBtn setEnabled:NO];
        [fontColor2 setEnabled:NO];
    }
    
    //@t[eBOEBhẼTCYݒeɂ킹
    [standAloneSizeSldr setFloatValue:[mPreferences floatForKey:@"standAloneSize"]];

    //@t[eBOEBhE̕sxݒeɂ킹
    [standAloneOpacitySldr setFloatValue:[mPreferences floatForKey:@"standAloneOpacity"]];

    // EBhEt[eBOɂ邩ǂݒeɂ킹
    if ( YES == [mPreferences boolForKey: @"standAloneFloating"] ) {
        [standAloneFloatingBtn setState: NSOnState];
    } else {
        [standAloneFloatingBtn setState: NSOffState];
    }
}

//////////////////////////////////////////////////////////////////////////////////
- (IBAction)updateValues:(id)sender
//
// ݒpl̏Ԃ𒲂ׁAݒf[^x[Xɏ
//////////////////////////////////////////////////////////////////////////////////
{
    float	aFontColor1Red,
                aFontColor1Green,
                aFontColor1Blue,
                aFontColor1Alpha;
                
    if ( NSOnState == [displayDateBtn state] ) {
        [mPreferences setBool: YES forKey: @"displayDate"];
        [dateTZRadio setEnabled:YES];
    } else {
        [mPreferences setBool: NO forKey: @"displayDate"];
        [dateTZRadio setEnabled:NO];
    }

    if ( NSOnState == [displayLocalTimeBtn state] ) {
        [mPreferences setBool: YES forKey: @"displayClassicTime"];
    } else {
        [mPreferences setBool: NO forKey: @"displayClassicTime"];
    }

    switch ([copyStyleRadio selectedRow]) {
    case 0:
        [mPreferences setInteger: ITWATCH_PREF_COPYWITHATMARK forKey: @"copyStyle"];
        break;
    case 1:
        [mPreferences setInteger: ITWATCH_PREF_COPYWITHOUTATMARK forKey: @"copyStyle"];
        break;
    default:
        break;
    }
    
    switch ([dateTZRadio selectedRow]) {
    case 0:
        [mPreferences setInteger: ITWATCH_PREF_DATELTZ forKey: @"displayDateTZ"];
        break;
    case 1:
        [mPreferences setInteger: ITWATCH_PREF_DATEITTZ forKey: @"displayDateTZ"];
        break;
    default:
        break;
    }
    
    // Dock\tHgF
    // FԂϊā@RGB+Alpha@o
    [[[fontColor1 color] colorUsingColorSpaceName:@"NSCalibratedRGBColorSpace"]
                        getRed:	&aFontColor1Red
                        green:	&aFontColor1Green
                        blue:	&aFontColor1Blue
                        alpha:	&aFontColor1Alpha];
    [mPreferences setFloat:aFontColor1Red  forKey: @"fontColor1Red"];
    [mPreferences setFloat:aFontColor1Green  forKey: @"fontColor1Green"];
    [mPreferences setFloat:aFontColor1Blue  forKey: @"fontColor1Blue"];
    [mPreferences setFloat:aFontColor1Alpha  forKey: @"fontColor1Alpha"];
    
    // DockO\tHgF
    // FԂϊā@RGB+Alpha@o
    [[[fontColor2 color] colorUsingColorSpaceName:@"NSCalibratedRGBColorSpace"]
                        getRed:	&aFontColor1Red
                        green:	&aFontColor1Green
                        blue:	&aFontColor1Blue
                        alpha:	&aFontColor1Alpha];
    [mPreferences setFloat:aFontColor1Red  forKey: @"fontColor2Red"];
    [mPreferences setFloat:aFontColor1Green  forKey: @"fontColor2Green"];
    [mPreferences setFloat:aFontColor1Blue  forKey: @"fontColor2Blue"];
    [mPreferences setFloat:aFontColor1Alpha  forKey: @"fontColor2Alpha"];

    // vEBhE\邩ǂ
    if ( NSOnState == [standAloneWindowBtn state] ) {
        [mPreferences setBool: YES forKey: @"standAloneWindow"];
        [standAloneSizeSldr setEnabled:YES];
        [standAloneOpacitySldr setEnabled:YES];
        [standAloneFloatingBtn setEnabled:YES];
        [fontColor2 setEnabled:YES];
    } else {
        [mPreferences setBool: NO forKey: @"standAloneWindow"];
        [standAloneSizeSldr setEnabled:NO];
        [standAloneOpacitySldr setEnabled:NO];
        [standAloneFloatingBtn setEnabled:NO];
        [fontColor2 setEnabled:NO];
    }
    
    //@vEBhẼTCY
    [mPreferences setFloat: [standAloneSizeSldr floatValue] forKey: @"standAloneSize"];
    
    // vEBhE̕sx
    [mPreferences setFloat: [standAloneOpacitySldr floatValue] forKey: @"standAloneOpacity"];
    
    // EBhEt[eBOɂ邩ǂ
    if ( NSOnState == [standAloneFloatingBtn state] ) {
        [mPreferences setBool: YES forKey: @"standAloneFloating"];
    } else {
        [mPreferences setBool: NO forKey: @"standAloneFloating"];
    }
   
    [self prefChanged];
}

- (void)prefChanged
{
    [[NSNotificationCenter defaultCenter]  postNotificationName:@"PreferencesDidUpdated" object:nil];

}

@end
